Возрастное ограничение для новостей v0.5 для DLE

Возрастное ограничение для новостей v0.5 для DLE
Хак / Плагин для DLE Возрастное ограничение для новостей, устанавливаемого через систему управления плагинами. Хак выводит/скрывает текст если возраст пользователя не соответствует возрастному ограничению заданной определённой статье. Никаких глобальных изменений нет, только исправлены некоторые ошибки.

Вариант 1, где используется тег с одним дополнительным полем пользователя birthday:
[agelimit birthday="birthday" limit="age"]текст[/agelimit] - выводит текст указанный в них если возраст больше или равен возрастному ограничению. Где [not-agelimit birthday="birthday" limit="age"]текст[/not-agelimit] - выводит текст указанный в них если возраст меньше или равен возрастному ограничению. 

Вариант 2, где используется тег с тремя дополнительными полями пользователя day, month и year:
[agelimit day="day" month="month" year="year" limit="age"]текст[/agelimit] [not-agelimit day="day" month="month" year="year" limit="age"]текст[/not-agelimit]

Параметры тега:
birthday="birthday" - название доп.поля пользователя, обязательно дата вида 1.4.2000 c любым символом или пробелом. Также можно задать дату или возраст в виде текста, например birthday="1.4.2000" или birthday="16" /по умолчанию birthday=0.
day="day" month="month" year="year" - название доп.поля пользователя, обязательно: день, месяц и год в виде числа. Например day="1" month=4" year="2000" /по умолчанию сегодняшняя дата.
limit="age" - название доп.поля новостей, в котором задается возраст в виде числа, например limit="16" /по умолчанию limit= 0.

Важно: следует использовать один из вариантов - Вариант 1 или Вариант 2. В случае если будут использоваться совмещенный тег - 1 и 2, то обрабатываться будет только 1.


Автор: Xaker1493
Версия DLE: 13.x
Кодировка: utf-8 
Скачать Возрастное ограничение для новостей v0.5 для DLE




для возраст или если /по

Похожие публикации


Добавить комментарий


Наверх